<?php 
#create_user_module ver 1.0
#last modification: 11.2.2010
#Formulář pro vkládání systémových uživatelů
#Data jsou na úrovni formuláře zkontrolována a následně vložena do dtb do taulky
#USER a tak0 je vytvořena vazba se zvolenou skupinou z tab USER_GROUP do tab SPEC_USER_GROUP
require "files/javamd5.inc.php";
  function cu_checkForm()
  {
    if ($_POST['CU_FIRSTNAME']=="" || ereg("^ +$",$_POST['CU_FIRSTNAME']))
       return "Je nutné zadat jméno!";
    if ($_POST['CU_LASTNAME']=="" || ereg("^ +$",$_POST['CU_LASTNAME']))
       return "Je nutné zadat příjmení!";
    if ($_POST['CU_LOGIN']=="" || ereg("^ +$",$_POST['CU_LOGIN']))
       return "Je nutné zadat login pro přihlášení!";
    if ($_POST['CU_EMAIL']=="" || !ereg("^.+@.+\..+$",$_POST['CU_EMAIL']))
       return "Je nutné zadat email ve správném tvaru!";
       
    return true;
  }
  
  
#kontrola odeslání formuláře  
  if (IsSet($_POST['CU_SUBMITED']))
  {
    $vysledek=cu_checkForm();       //volání funkce pro kontrolu údajů dle šablon
    if ($vysledek===TRUE)
    {
      include "build/db_connect.inc.php"  ;
      $query="INSERT INTO user (jmeno,prijmeni,login,email,password)
              VALUES (\"".$_POST['CU_FIRSTNAME']."\",\"".$_POST['CU_LASTNAME']."\",\"".$_POST['CU_LOGIN']."\",\"".$_POST['CU_EMAIL']."\",\"".urlencode($_POST['CU_PASSWD'])."\")
              ";
      $result = mysql_query($query);
        
      if (!$result) {
        die('Could not query:' . mysql_error());
      }
      $query="SELECT last_insert_id()";
      $result = mysql_query($query);
      if (!$result) {
        die('Could not query:' . mysql_error());
      }
      list($last_insert_id) = mysql_fetch_row($result)  ;
      $query="INSERT INTO spec_user_group (idUSER,idUSERGROUP) VALUES(".$last_insert_id.",".$_POST['CU_GROUP'].")" ;
      $result = mysql_query($query);
      if (!$result) {
        die('Could not hovno query:' . mysql_error());
      }
      echo "Uživatel byl uložen. <a href=\"".selfURL()."\">Zpět</a>";
      }
    else
    {
      echo ($vysledek);
    }
  }
  if (!IsSet($vysledek) || ($vysledek!==TRUE))    //kontrola jestli byl už zpracován formulář a jestli vůbec správně
  {  
    
?>
<script language="JavaScript">
// soubor funkcí pro kontrolu hodnot formuláře na straně klienta
  function HideIt() {
        document.getElementById('required').style.visibility= "hidden";
        document.getElementById('requiredtext').style.visibility= "hidden";
  }
  function CheckPasswd( theField,theField1, theMessage ) {
   if( theField.value!=theField1.value ) {
      theField.focus();
      if(document.getElementById) {
        document.getElementById('required').style.visibility= "visible";
        document.getElementById('requiredtext').style.visibility= "visible";
        document.getElementById('requiredtext').innerHTML= theMessage;
        setTimeout( "HideIt()",1500);
        //document.getElementById('md5hash').value=MD5(theField.value);
      } else {
          alert(theMessage);
      }
      return false;
   } else {
        if (document.getElementById('PASS').value!=''){
        document.getElementById('PASS').value=MD5(document.getElementById('PASS').value);
        }
        
      return true;
   }
  }
  function CheckEmptyField( theField, theMessage ) {
   if( theField.value=="" ) {
      theField.focus();
      if(document.getElementById) {
        document.getElementById('required').style.visibility= "visible";
        document.getElementById('requiredtext').style.visibility= "visible";
        document.getElementById('requiredtext').innerHTML= theMessage;
        setTimeout( "HideIt()",1500);
      } else {
          alert(theMessage);
      }
      return false;
   } else {
      return true;
   }
  }
  function Validate(theForm) {
      if( !CheckEmptyField(theForm.CU_FIRSTNAME,"Vyplňte prosím jméno!") ) return false;
      if( !CheckEmptyField(theForm.CU_LASTNAME,"Zadejte prosím příjmení!") ) return false;
      if( !CheckEmptyField(theForm.CU_LOGIN,"Zadejte login!") ) return false;
      if( !CheckEmptyField(theForm.CU_EMAIL,"Zadejte email!") ) return false;
      if( !CheckPasswd(theForm.CU_PASSWD,theForm.CU_PASSWD1,"hesla se nerovnaji") ) return false;
      if( !CheckEmptyField(theForm.CU_PASSWD,"Heslo nesmí být prázdné!") ) return false;
      
  // uspech
  return true;
}
</script>
<center>
<div class="forms">
  <h3>Vytvoření účtu pro vstup do systému</h3> <span class="backtoform"><a href="admin_page.php?NEXTFORM=7">Zpět</a> </span>
  <fieldset>
    <legend>Nový uživatel</legend>
    <form action="admin_page.php" method="post" onSubmit="return Validate(this);">
      <table >
        <tr>
          <td class="tablehead">Jméno:</td><td class="tableculombhead"><input type="text" size=8 name="CU_FIRSTNAME" value="<?php echo($_POST['CU_FIRSTNAME']);?>"></td>
          <td class="tableculombhead" style="width:20px"> </td>
          <td class="tablehead">Heslo</td>
        </tr>
        <tr>
          <td class="tablehead">Příjmení:</td><td class="tableculombhead"><input type="text" size=8 name="CU_LASTNAME" value="<?php echo($_POST['CU_LASTNAME']);?>"></td>
          <td class="tableculombhead" style="width:20px"> </td>
          <td class="tableculombhead"><input type="password" size=8 id="PASS" name="CU_PASSWD"></td>
        </tr>
        <tr>
          <td class="tablehead">Login:</td><td class="tableculombhead"><input type="text" size=8 name="CU_LOGIN" value="<?php echo($_POST['CU_LOGIN']);?>"></td>
          <td class="tableculombhead" style="width:20px"> </td>
          <td class="tableculombhead"><input type="password" size=8 name="CU_PASSWD1"></td>
        </tr>
        <tr>
          <td class="tablehead">Email:</td><td class="tableculombhead"><input type="text" size=8 name="CU_EMAIL" value="<?php echo($_POST['CU_EMAIL']);?>"></td>
          <td class="tableculombhead" style="width:20px"> </td>
          <td class="tableculombhead" style="width:20px"> </td>
        </tr>
        
        <tr>
        <?php 
        #Část která vyčítá do roletky formuláře možné uživatelské skupiny
          include "build/db_connect.inc.php"  ;
          $query="SELECT idUSERGROUP,Name
                  FROM user_group
                  ORDER BY Name ASC";
          $result = mysql_query($query);
          
          if (!$result) {
            die('Could not query:' . mysql_error());
          }
          
          if (mysql_num_rows($result)!=0){
        
            
            echo ("<td class=\"tablehead\">Uživatelská skupina: </td><td class=\"tableculombhead\"><select name=\"CU_GROUP\" size=\"1\">");
                                                while (list($id_group, $Name ) = mysql_fetch_row($result)){
                                                #podmínka pro nastavení defaultní hodnoty skupiny na User
                                                if($Name==="User"){ echo("<option value=\"".$id_group."\" selected>".$Name."</option>");}
                                                  else
                                                    {echo("<option value=\"".$id_group."\">".$Name."</option>");}
                                                }
         
                                       echo ("</select>");
                                       echo ("</td>");
                                       
          }     
          ?>
          <td class="tableculombhead" style="width:20px"> </td>
          <td class="tableculombhead" style="width:20px"> </td>
        </tr>
        <tr>
          <input type="hidden" name="CU_SUBMITED" value="TRUE">
          <td colspan=4 class="tableculombhead" style="text-align:center"><input type="reset" value="Reset"><input type="submit" value="Uložit uživatele"></td>
        </tr>
      </table>
      </form>
  </fieldset>
</div>
</center>  
<script language="JavaScript"><!-------------
// Tuto funkci je mozno vlozit na konec hlavního dokumentu a ušetři její opakování
if(document.getElementById) {
  document.write('<img ID="required" STYLE="visibility:hidden; position:absolute; left:300; top:120" src="required.gif">');
  document.write('<p ID="requiredtext" STYLE="visibility:hidden; position:absolute; left:365; top:155" >abc</p>');
}

//-----------></script>    
    
    
          

<?php
}
?>